import { NextApiHandler } from 'next';

export const greet: NextApiHandler = async (req, res) => {
	const { name } = req.body;

	if (req.method?.toLowerCase() === 'post') {
		res.status(200).json({
			name: `Hello ${name}`,
		});
		return;
	}

	res.status(405).send('Method Not Allowed');
};
